ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Antoine Lévy-Lambert <anto...@antbuild.com>
Subject AW: Ant 1.6beta & VSS Get Error
Date Thu, 09 Oct 2003 08:06:15 GMT
Hi Brent,

could you run your ant 1.5.4 in verbose mode and post the sourcesafe command
line which is then issued by ant.
I have just had a look at the diffs between MSVSS.java in 1.5.4 and in 1.6,
but they are huge, so I cannot just guess what could be wrong.
Also try to run by hand the command line generated by ant1.5.4 and by ant1.6
This might be a bug in ant1.6beta

Something that you can also try as a temporary fix would be to run vss in
ant1.6 with the attribute failonerror set to false. (if the command is in
fact right, but simply the error code returned by ss.exe is misleading ant
in believing that there has been a failure)
Cheers,

Antoine

-----Urspr√ľngliche Nachricht-----
Von: Brent Bain [mailto:BrentB@mmlive.com]
Gesendet: Donnerstag, 9. Oktober 2003 00:52
An: 'user@ant.apache.org'
Betreff: Ant 1.6beta & VSS Get Error


Hello:

I recently grabbed the Ant 1.6beta as it has a lot of new "cool" features
I'd like to start using (especially the scp/ssh capabilities).  However when
I changed from using ant1.5.4 to ant1.6 my VSS get no longer works.  The
command that I'm trying is:

		<vssget localpath="${new.starterpack.loc}"
			recursive="true"
			label="${vsslabel.starterpack}"
			login="${vss.username},${vss.password}"
			vsspath="${vsspath.starterpack}"
			serverpath="${vss.starterSSDIR}"
			autoresponse="Y"
			writable="true"
		/>

The error that I get back is:[vssget] Version not found
Failed executing: ss Get $/path/to/Starter3.1 -D:\\Local\\Path\\Starter3.1
-I-Y  -R -VL-L3.1.R12 -W -Yusername,*****

The params that are being passed in look like:
vss.starterSrvr=servername
vsslabel.starterpack=3.1.R12
vsspath.starterpack=/path/to/Starter3.1
vss.username=username
vss.password=password
new.starterpack.loc=D:\\Local\\Path\\Starter3.1

Now I read in the "Whats New" document that vss will no longer start off
with a '$' so I added that to my vsspath param:
vsspath.starterpack=$/path/to/Starter3.1

But that didn't fix a thing.  In fact I get the same error.  So I'm
officially at a loss.  Is this a bug or am I missing something else more
obvious?  And here's the kicker.  If I get rid of the '$' and change back to
ant1.5.4 everything works 100%.

Any tips would be greatly appreciated!

Thanks!
Brent

---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@ant.apache.org
For additional commands, e-mail: user-help@ant.apache.org



---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@ant.apache.org
For additional commands, e-mail: user-help@ant.apache.org


Mime
View raw message